<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <link rel="stylesheet" href="css/style_admin.css">
  <link rel="stylesheet" href="css/bootstrap.min.css">

  <link rel="stylesheet" href="css/jquery.dataTables.min.css" />
  <link href="https://fonts.googleapis.com/css?family=Montserrat&display=swap" rel="stylesheet">
  <title>Rooms</title>
</head>

<body>


  <!--  Navbar  -->
  <nav class="navbar navbar-expand-md navbar-light">
    <button type="button" class="navbar-toggler ml-auto mb-2 bg-light" data-toggle="collapse" data-target="#myNavbar">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="myNavbar">
      <div class="container-fluid">
        <div class="row">
          <!-- Sidebar  -->
          <div class="col-xl-2 col-lg-3 col-md-4 sidebar fixed-top">
            <a href="#" class="navbar-brand text-white d-block
                            mx-auto text-center py-3 mb-4 border-bottom">
              Welcome to Admin site
            </a>
            
            <ul class="navbar-nav flex-column mt-4">
              <li class="nav-item">
                <a href="index_admin.html" class="nav-link text-white p-3 mb-2 sidebar-link">
                  <i class="fas fa-calendar-alt text-light fa-lg mr-3"></i>
                  Events </a>
              </li>

              <li class="nav-item">
                <a href="rooms.html" class="nav-link text-white p-3 mb-2 sidebar-link current">
                  <i class="fas fa-hotel text-light fa-lg mr-3"></i>
                  Rooms </a>
              </li>
              <li class="nav-item">
                <a href="statistics.html" class="nav-link text-white p-3 mb-2 sidebar-link">
                  <i class="fas fa-chart-bar text-light fa-lg mr-3"></i>
                  Statistics </a>
              </li>
              <li class="nav-item">
                <a href="archives.html" class="nav-link text-white p-3 mb-2 ">
                  <i class="fas fa-archive text-light fa-lg mr-3"></i>
                  Archives </a>
              </li>
            </ul>
          </div>

          <!-- /end of Sidebar  -->
          <!-- Top Nav  -->
          <div class="col-xl-10 col-lg-10 col-md-8 ml-auto bg-dark fixed-top py-4 top-navbar">
            <div class="row align-items-center">
              <div class="col-md-4">
                <h3 class="text-light text-uppercase mb-0">Rooms</h3>
              </div>

              <div class="col-md-8">
                <ul class="navbar-nav">
                  <li class="nav-item ml-md-auto">
                    <a href="#" onclick="window.localStorage.clear(); window.location='index.html';" class="navlink" data-toggle="modal" data-target="#sign-out">
                      <i class="fas fa-sign-out-alt text-danger fa-lg"></i>
                      <span class="text-light">Exit</span>
                    </a>
                  </li>
                </ul>
              </div>
            </div>
          </div>

          <!-- / end of Top Nav  -->

        </div>
      </div>
    </div>

  </nav>
  <!-- /end of Navbar  -->

  <!-- Modal  -->

  <div class="modal fade " id="sign-out">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title">Want to leave ?</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body">
          Press logout to leave
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-success" data-dismiss="modal"> Stay Here </button>
          <button type="button" class="btn btn-danger" data-dismiss="modal"> Logout </button>

        </div>
      </div>
    </div>
  </div>

  <!-- /end of Modal  -->
  <!-- Tables  -->

  <div class="section">
    <div class="container-fluid">
      <div class="row mb-5">
        <div class="col-xl-10 col-lg-9 col-md-8 ml-auto">
          <div class="row">
            <div class="col-12">
              <h3 class="text-muted text-center mb-3 " style="margin-top: 100px;">List Rooms</h3>
              <button class="btn btn-primary mb-3" data-toggle="modal" data-target="#add-room"
                style="border-radius: 25px;"><i class="fas fa-plus alt"></i></button>
              <span><strong>Add Room</strong> </span>
              <table id="listRoom" class="table table-striped table-bordered" style="width:100%; margin-bottom: 10px;">
                <thead>
                  <tr class="text-muted">
                    <th>Room_id</th>
                    <th>Room_name</th>
                    <th>Seats</th>
                    <th>Edit/Delete</th>
                  </tr>
                </thead>
                <tbody>

                </tbody>
                <tfoot>
                  <tr class="text-muted">
                    <th>Room_id</th>
                    <th>Room_name</th>
                    <th>Seats</th>
                    <th>Edit/Delete</th>
                  </tr>
                </tfoot>
              </table>
            </div>

          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- /end of Tables  -->

  <!-- Modal delete room -->
  <div class="modal fade " id="del-room">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title">Want to Delete ?</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body">
          Do you really want to delete this room ?
          <input type="hidden" name="idroom" id="id_del">
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal" id="delete"> Yes </button>
          <button type="button" class="btn btn-danger" data-dismiss="modal"> No </button>

        </div>
      </div>
    </div>
  </div>
  <!-- /end of Modal delete room -->

  <!-- The Modal edit-room -->
  <div class="modal fade" id="edit-room">
    <div class="modal-dialog modal-md">
      <div class="modal-content">

        <!-- Modal Header -->
        <div class="modal-header">
          <h4 class="modal-title">Edit Room</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>

        <!-- Modal body -->
        <div class="modal-body">
          <form role="form">
            <div class="card-body">

              <!-- Room_id text -->
              <div class="form-group">
                <label>Room_id:</label>
                <div class="input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fas fa-code"></i></span>
                  </div>
                  <input type="text" id="idroom" readonly class="form-control">
                </div>
                <!-- /.input group -->
              </div>
              <!-- /.form group -->

              <!-- Room_name text -->
              <div class="form-group">
                <label>Room_name:</label>
                <div class="input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fas fa-hotel"></i></span>
                  </div>
                  <input type="text" id="editedLabel" class="form-control">
                </div>
                <!-- /.input group -->
              </div>
              <!-- /.form group -->

              <!-- Seats #number -->
              <div class="form-group">
                <label>Seats:</label>
                <div class="input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fas fa-users"></i></span>
                  </div>
                  <input type="tel" id="editedQte" class="form-control">
                </div>
                <!-- /.input group -->
              </div>
              <!-- /.form group -->

            </div>

          </form>
        </div>

        <!-- Modal footer -->
        <div class="modal-footer">
          <button type="submit" class="btn btn-primary" id="editRoom">Submit</button>
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
        </div>

      </div>
    </div>
  </div>

  <!-- The Modal add-room -->
  <div class="modal fade" id="add-room">
    <div class="modal-dialog modal-md">
      <div class="modal-content">
        <!-- Modal Header -->
        <div class="modal-header">
          <h4 class="modal-title">Add Room</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        <!-- Modal body -->
        <div class="modal-body">
          <form role="form">
            <div class="card-body">

              <!-- Room_id text -->
              <div class="form-group">
                <label>Room_id:</label>
                <div class="input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fas fa-code"></i></span>
                  </div>
                  <input type="text" readonly class="form-control">
                </div>
                <!-- /.input group -->
              </div>
              <!-- /.form group -->

              <!-- Room_name text -->
              <div class="form-group">
                <label>Room_name:</label>
                <div class="input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fas fa-hotel"></i></span>
                  </div>
                  <input type="text" id="label" class="form-control">
                </div>
                <!-- /.input group -->
              </div>
              <!-- /.form group -->

              <!-- Seats #number -->
              <div class="form-group">
                <label>Seats:</label>
                <div class="input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fas fa-users"></i></span>
                  </div>
                  <input type="tel" id="qte" class="form-control">
                </div>
                <!-- /.input group -->
              </div>
              <!-- /.form group -->

            </div>

          </form>
        </div>

        <!-- Modal footer -->
        <div class="modal-footer">
          <button type="submit" class="btn btn-success align-right" id="addRoom">Submit</button>
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
        </div>

      </div>
    </div>
  </div>

  <script src="js/jquery.min.js"></script>
  <script src="js/all.js"></script>
  <script src="js/popper.min.js"></script>
  <script src="js/bootstrap.min.js"></script>



  <!-- DataTables -->
  <script src="js/jquery.dataTables.min.js"></script>
  <script src="js/services/configs.js"></script>
  <script src="js/services/rooms.js"></script>

</body>

</html>